| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Properties | Private Attributes | Static Private Attributes

# IG::Lib::RegisterableExamples::ExampleIIdentifiable Class Reference

Example implementation of IIdentifiable interface. More...

Inheritance diagram for IG::Lib::RegisterableExamples::ExampleIIdentifiable:
[legend]
Collaboration diagram for IG::Lib::RegisterableExamples::ExampleIIdentifiable:
[legend]

List of all members.

## Public Member Functions
| ExampleIIdentifiable (string str)
override string | ToString ()
## Protected Attributes
string | _msg
## Properties
virtual int | Id`[get]`
| Returns unique Id (in the scope of a given type) of the current object. Method is defined as virtual so that derived class can have its own IDs by defining its own static Identifiable.Generator object.
## Private Attributes
IIdentifiable | _idProxy = new IdProxy(_idGenerator)
| Proxy object that implements the IIdentifiable interface for this object.
## Static Private Attributes
static IdGenerator | _idGenerator = new IdGenerator(1 )
| Static object that generates IDs for this class:

## Detailed Description

Example implementation of IIdentifiable interface.

## Constructor & Destructor Documentation

IG::Lib::RegisterableExamples::ExampleIIdentifiable::ExampleIIdentifiable | ( | string | str | ) | `[inline]`

## Member Function Documentation

override string IG::Lib::RegisterableExamples::ExampleIIdentifiable::ToString | ( |  | ) | `[inline]`

## Member Data Documentation

string IG::Lib::RegisterableExamples::ExampleIIdentifiable::_msg`[protected]`

IdGenerator IG::Lib::RegisterableExamples::ExampleIIdentifiable::_idGenerator = new IdGenerator(1 )`[static, private]`

Static object that generates IDs for this class:

IIdentifiable IG::Lib::RegisterableExamples::ExampleIIdentifiable::_idProxy = new IdProxy(_idGenerator)`[private]`

Proxy object that implements the IIdentifiable interface for this object.

## Property Documentation

virtual int IG::Lib::RegisterableExamples::ExampleIIdentifiable::Id`[get]`

Returns unique Id (in the scope of a given type) of the current object. Method is defined as virtual so that derived class can have its own IDs by defining its own static Identifiable.Generator object.

Implements IG::Lib::IIdentifiable.

The documentation for this class was generated from the following file:

- UtilIdRegistration.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events